Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.tree
Interface MutableTreeNode

All Known Implementing Classes:
  DefaultMutableTreeNode

public abstract interface MutableTreeNode
extends TreeNode

Defines the requirements for a tree node object that can change -- by adding or removing child nodes, or by changing the contents of a user object stored in the node.

Method Summary
`void` | `insert(MutableTreeNode child, int index)` Adds `child` to the receiver at `index`.
`void` | `remove(int index)` Removes the child at `index` from the receiver.
`void` | `remove(MutableTreeNode node)` Removes `node` from the receiver.
`void` | `removeFromParent()` Removes the receiver from its parent.
`void` | `setParent(MutableTreeNode newParent)` Sets the parent of the receiver to `newParent`.
`void` | `setUserObject(java.lang.Object object)` Resets the user object of the receiver to `object`.

Methods inherited from interface javax.swing.tree.TreeNode
`children, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, isLeaf`

Method Detail

### insert

    public void insert(MutableTreeNode child,
                       int index)

  Adds `child` to the receiver at `index`. `child` will be messaged with `setParent`.

### remove

    public void remove(int index)

  Removes the child at `index` from the receiver.

### remove

    public void remove(MutableTreeNode node)

  Removes `node` from the receiver. `setParent` will be messaged on `node`.

### setUserObject

    public void setUserObject(java.lang.Object object)

  Resets the user object of the receiver to `object`.

### removeFromParent

    public void removeFromParent()

  Removes the receiver from its parent.

### setParent

    public void setParent(MutableTreeNode newParent)

  Sets the parent of the receiver to `newParent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.